summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:03:02 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:03:02 +0200
commit608d5d61af6a37db91001744e77154a6132881cd (patch)
tree7db48187fd007925ada019ea2c1f51d5a7034c55 /office
parentab1505c2ae587937ca43ee84109e4de512666f5b (diff)
downloadslackbuilds-608d5d61af6a37db91001744e77154a6132881cd.tar.gz
slackbuilds-608d5d61af6a37db91001744e77154a6132881cd.tar.xz
office/basket: Initial import
Diffstat (limited to 'office')
-rw-r--r--office/basket/README26
-rw-r--r--office/basket/basket.SlackBuild60
-rw-r--r--office/basket/basket.info8
-rw-r--r--office/basket/slack-desc11
4 files changed, 105 insertions, 0 deletions
diff --git a/office/basket/README b/office/basket/README
new file mode 100644
index 0000000000..ac483846f4
--- /dev/null
+++ b/office/basket/README
@@ -0,0 +1,26 @@
+BasKet Note Pads is a note-taking application that makes it easy to write down
+ideas as you think and quickly find them again later. Organizing your notes
+has never been so easy.
+
+There are plenty of flat note-taking applications that only let you write
+text. BasKet Note Pads offers more freedom by collecting any type of data.
+It is ideal to bring together all the information about a project in one
+place: you can take images, group needed documents, link to email addresses of
+the project members, link to various interesting websites, and more...
+
+This multi-purpose note-taking application can helps you to:
+ * Easily take all sort of notes
+ * Collect research results and share them
+ * Centralize your project data and re-use them
+ * Quickly organize your toughts in idea boxes
+ * Keep track of your information in a smart way
+ * Make intelligent To Do lists
+ * Intergrate with KDE Kontact as well as stand alone
+ * And a lot more...
+
+basket can optionally use gpgme, which is also available from SlackBuilds.org.
+
+There is a script to convert your notes to UTF-8 format - get it from:
+http://basket.kde.org/downloads/?file=convert-baskets-to-utf8.bash.tar.gz
+Quit BasKet Note Pads, edit the script to replace "latin1" with your own
+local encoding, run the script in a console, and restart BasKet Note Pads.
diff --git a/office/basket/basket.SlackBuild b/office/basket/basket.SlackBuild
new file mode 100644
index 0000000000..5d24583355
--- /dev/null
+++ b/office/basket/basket.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for: basket
+# Written by: Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=basket
+VERSION=1.0.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TMP/$PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/opt/kde \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ --disable-debug
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/office/basket/basket.info b/office/basket/basket.info
new file mode 100644
index 0000000000..cb9149a5ba
--- /dev/null
+++ b/office/basket/basket.info
@@ -0,0 +1,8 @@
+PRGNAM="basket"
+VERSION="1.0.2"
+HOMEPAGE="http://basket.kde.org/"
+DOWNLOAD="http://basket.kde.org/downloads/basket-1.0.2.tar.gz"
+MD5SUM="d71c62a56de9cc32ba2633e63e99071f"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/office/basket/slack-desc b/office/basket/slack-desc
new file mode 100644
index 0000000000..90b0ca861e
--- /dev/null
+++ b/office/basket/slack-desc
@@ -0,0 +1,11 @@
+basket: basket (KDE note-taking application)
+basket:
+basket: basket makes it easy to write down ideas as you think and quickly find
+basket: them later. Organizing your notes has never been so easy. There are
+basket: enough flat note-taking applications that only let you write text -
+basket: BasKet Note Pads offers more freedom by collecting any type of data.
+basket:
+basket: It is ideal to bring together all the information about a project in
+basket: one place - you can take images, group needed documents, link to email
+basket: addresses of the members, link to various interesting websites...
+basket: